Update a Custom Link
curl --request PATCH \
--url https://api-us.hihobbes.com/api/v1/custom-links/{link_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"company": "<string>",
"context": "<string>",
"shareTitle": "<string>",
"shareDescription": "<string>",
"shareThumbnailUrl": "<string>",
"prospectLogoUrl": "<string>",
"prospectDomain": "<string>",
"active": true,
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
'import requests
url = "https://api-us.hihobbes.com/api/v1/custom-links/{link_id}"
payload = {
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"company": "<string>",
"context": "<string>",
"shareTitle": "<string>",
"shareDescription": "<string>",
"shareThumbnailUrl": "<string>",
"prospectLogoUrl": "<string>",
"prospectDomain": "<string>",
"active": True,
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
firstName: '<string>',
lastName: '<string>',
email: '<string>',
phone: '<string>',
role: '<string>',
company: '<string>',
context: '<string>',
shareTitle: '<string>',
shareDescription: '<string>',
shareThumbnailUrl: '<string>',
prospectLogoUrl: '<string>',
prospectDomain: '<string>',
active: true,
campaign: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'}
})
};
fetch('https://api-us.hihobbes.com/api/v1/custom-links/{link_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"customLink": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"active": true,
"url": "<string>",
"thumbnailStatus": "not_requested",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"engagement": {
"stage": "not_opened",
"openObserved": true,
"botScannedOnly": true,
"pageViewCount": 123,
"uniqueVisitorCount": 123,
"persistentUniqueVisitorCount": 123,
"ephemeralPageViewCount": 123,
"loadsPerUniqueVisitor": 123,
"firstOpenedAt": "2023-11-07T05:31:56Z",
"lastOpenedAt": "2023-11-07T05:31:56Z",
"sessionCount": 123,
"startedSessionCount": 123,
"engagedSessionCount": 123,
"leadSubmitted": true,
"meetingClicked": true,
"meetingBooked": true,
"lastActivityAt": "2023-11-07T05:31:56Z",
"lastActivityType": "<string>",
"firstStartedAt": "2023-11-07T05:31:56Z",
"firstEngagedAt": "2023-11-07T05:31:56Z",
"firstLeadSubmittedAt": "2023-11-07T05:31:56Z",
"firstMeetingClickedAt": "2023-11-07T05:31:56Z",
"firstMeetingBookedAt": "2023-11-07T05:31:56Z",
"loadCount": 123,
"visitorCountMode": "identified"
},
"externalId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"company": "<string>",
"context": "<string>",
"shareTitle": "<string>",
"shareDescription": "<string>",
"shareThumbnailUrl": "<string>",
"prospectLogoUrl": "<string>",
"prospectDomain": "<string>",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thumbnailAttempts": 0,
"thumbnailError": {
"code": "<string>",
"message": "<string>"
}
},
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "create",
"status": "queued",
"totalItems": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdCount": 0,
"failedCount": 0,
"thumbnailQueuedCount": 0,
"thumbnailProcessingCount": 0,
"thumbnailGeneratedCount": 0,
"thumbnailProvidedCount": 0,
"thumbnailFallbackCount": 0,
"thumbnailFailedCount": 0,
"progress": 0,
"pollAfterSeconds": 2,
"cancelRequested": false,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"detail": "The operation requires an Idempotency-Key header."
}{
"detail": "API key required or invalid."
}{
"detail": "API key does not include the required scope."
}{
"detail": "Custom Link not found in the key's organization."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit or organization quota exceeded."
}Custom Links
Update a Custom Link
Update personalization, sharing metadata, campaign, or active state.
PATCH
/
api
/
v1
/
custom-links
/
{link_id}
Update a Custom Link
curl --request PATCH \
--url https://api-us.hihobbes.com/api/v1/custom-links/{link_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"company": "<string>",
"context": "<string>",
"shareTitle": "<string>",
"shareDescription": "<string>",
"shareThumbnailUrl": "<string>",
"prospectLogoUrl": "<string>",
"prospectDomain": "<string>",
"active": true,
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
'import requests
url = "https://api-us.hihobbes.com/api/v1/custom-links/{link_id}"
payload = {
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"company": "<string>",
"context": "<string>",
"shareTitle": "<string>",
"shareDescription": "<string>",
"shareThumbnailUrl": "<string>",
"prospectLogoUrl": "<string>",
"prospectDomain": "<string>",
"active": True,
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
firstName: '<string>',
lastName: '<string>',
email: '<string>',
phone: '<string>',
role: '<string>',
company: '<string>',
context: '<string>',
shareTitle: '<string>',
shareDescription: '<string>',
shareThumbnailUrl: '<string>',
prospectLogoUrl: '<string>',
prospectDomain: '<string>',
active: true,
campaign: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'}
})
};
fetch('https://api-us.hihobbes.com/api/v1/custom-links/{link_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"customLink": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"active": true,
"url": "<string>",
"thumbnailStatus": "not_requested",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"engagement": {
"stage": "not_opened",
"openObserved": true,
"botScannedOnly": true,
"pageViewCount": 123,
"uniqueVisitorCount": 123,
"persistentUniqueVisitorCount": 123,
"ephemeralPageViewCount": 123,
"loadsPerUniqueVisitor": 123,
"firstOpenedAt": "2023-11-07T05:31:56Z",
"lastOpenedAt": "2023-11-07T05:31:56Z",
"sessionCount": 123,
"startedSessionCount": 123,
"engagedSessionCount": 123,
"leadSubmitted": true,
"meetingClicked": true,
"meetingBooked": true,
"lastActivityAt": "2023-11-07T05:31:56Z",
"lastActivityType": "<string>",
"firstStartedAt": "2023-11-07T05:31:56Z",
"firstEngagedAt": "2023-11-07T05:31:56Z",
"firstLeadSubmittedAt": "2023-11-07T05:31:56Z",
"firstMeetingClickedAt": "2023-11-07T05:31:56Z",
"firstMeetingBookedAt": "2023-11-07T05:31:56Z",
"loadCount": 123,
"visitorCountMode": "identified"
},
"externalId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"company": "<string>",
"context": "<string>",
"shareTitle": "<string>",
"shareDescription": "<string>",
"shareThumbnailUrl": "<string>",
"prospectLogoUrl": "<string>",
"prospectDomain": "<string>",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thumbnailAttempts": 0,
"thumbnailError": {
"code": "<string>",
"message": "<string>"
}
},
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "create",
"status": "queued",
"totalItems": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdCount": 0,
"failedCount": 0,
"thumbnailQueuedCount": 0,
"thumbnailProcessingCount": 0,
"thumbnailGeneratedCount": 0,
"thumbnailProvidedCount": 0,
"thumbnailFallbackCount": 0,
"thumbnailFailedCount": 0,
"progress": 0,
"pollAfterSeconds": 2,
"cancelRequested": false,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"detail": "The operation requires an Idempotency-Key header."
}{
"detail": "API key required or invalid."
}{
"detail": "API key does not include the required scope."
}{
"detail": "Custom Link not found in the key's organization."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit or organization quota exceeded."
}Requires
custom_links:write.
Only fields present in the request are changed. Hobbes creates a thumbnail job
only when a thumbnail-affecting field changes; those updates also require an
Idempotency-Key header.Authorizations
bearerapiKeyHeader
Hobbes API key with the hb_live_ prefix.
Headers
Required string length:
1 - 255Path Parameters
Custom Link UUID.
Body
application/json
Required string length:
1 - 255Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
50Maximum string length:
255Maximum string length:
255Maximum string length:
10000Maximum string length:
255Maximum string length:
500Required string length:
1 - 2083Required string length:
1 - 2083Maximum string length:
255Show child attributes
Show child attributes
⌘I